BT5r3 in
virtualbox 4.2.2 on
macbook 10.6.8 (Host)

Hi, was trying to install fern-wifi-cracker from https://fern-wifi-cracker.googlecode...er_1.2_all.deb

"Before Steps", are not available, i found on other sides: i must install
Python
AirCrack-ng
macchanger
Xterm
Subversion
Python-qt4, so iam not sure if i have do this correctly or have all...

Anyway i grab this and some other packages come with, like citadel and so on, later i found a update to 1.6 (https://launchpad.net/~backbox/+arch...ckbox2_all.deb), so i grab this too...
later in Synaptic i see 1.6 is update-able...

Later i see the message Error:
"gem" needed and "nokogiri", simultanly i install it too, also he want "beef" and a "gdeb" for debian packages...omg*

Now is the point, i collapse and i dont know what is going on...

So i choice to stop all or reinstall it correctly or fix the prob with:
Code:
sudo apt-get o dpkg::options::="--force-confnew" -o dpkg::options:="--force-confmiss" --reinstall install /var/cache/apt/archives/fern-wifi-cracker_1.6-bt0_all.deb
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Couldnīt find package
So i now want remove it simply:

Code:
apt-get remove fern-wifi-cracker
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  fern-wifi-cracker
0 upgraded, o newly installed, 1 to remove and 0 not upgraded
After this operation, 3,514 kb disk space will be freed.
Continue (y/n) y
(Reading database ... 268007 files and directories currently installed.)
Removing fern-wifi-cracker ...
dpkg (subprocess): unable to execute installed pre-removal script: Exec format error
dpkg: error processing fern-wifi-cracker (--remove):
 subprocess installed pre-removal script returned error exit status 2
Errors were encountered while processing: fern-wifi-cracker
E: Sub-process /usr/bin/dpkg returned an error code (1)
After this i installed synaptic and want to try remove with a GUI. Fern was marked for a update, i try this but:
Code:
An error occured
E:/var/cache/apt/archives/fern-wifi-cracker_1.6-bt0_all.deb: there is no script in the new version of the package - giving up.
Details from synaptic are the same:

Code:
dpkg (subprocess): unable to execute installed pre-removal script: Exec format error
dpkg: warning: old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
dpkg: error processing /var/cache/apt/archives/fern-wifi-cracker_1.6-bt0_all.deb (--unpack):
there is no script in the new version of the package - giving up.
Errors were encountered while processing: /var/cache/apt/archives/fern-wifi-cracker_1.6-bt0_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover.
Now i want to erase what is coming with fern-wifi-cracker...because, actually i canīt use it no "monitor mode"...
Hope u can help me a bit, alternate it can displaced to Beginner-Section, because i am a Beginner in Linux and Bash

Thank for all information about this Problem.
Regards
dataminer

If this solved i will install correctly the stuff and learning more about this...synaptic will help me, and i will learn!